From b3ed2b09c9cab03252c19b2809dbb68ab5798f60 Mon Sep 17 00:00:00 2001
From: Justin Pryzby <pryzbyj@telsasoft.com>
Date: Fri, 10 Apr 2020 10:05:21 -0500
Subject: [PATCH v8 05/14] doc: Add logical replication support to replicate
 into partitioned tables

commit f1ac27bfda6ce8a399d8001843e9aefff5814f9b
Author: Peter Eisentraut <peter@eisentraut.org>
---
 doc/src/sgml/logical-replication.sgml      | 2 +-
 src/backend/replication/logical/relation.c | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

diff --git a/doc/src/sgml/logical-replication.sgml b/doc/src/sgml/logical-replication.sgml
index 3f69b71926..28dae9ba67 100644
--- a/doc/src/sgml/logical-replication.sgml
+++ b/doc/src/sgml/logical-replication.sgml
@@ -403,7 +403,7 @@
    <listitem>
     <para>
      Replication is only supported by tables, including partitioned tables.
-     Attempts to replicate other types of relations such as views, materialized
+     Attempts to replicate other types of relations, such as views, materialized
      views, or foreign tables, will result in an error.
     </para>
    </listitem>
diff --git a/src/backend/replication/logical/relation.c b/src/backend/replication/logical/relation.c
index a60c73d74d..e1a447e097 100644
--- a/src/backend/replication/logical/relation.c
+++ b/src/backend/replication/logical/relation.c
@@ -631,7 +631,7 @@ logicalrep_partition_open(LogicalRepRelMapEntry *root,
 	/*
 	 * If the partition's attributes don't match the root relation's, we'll
 	 * need to make a new attrmap which maps partition attribute numbers to
-	 * remoterel's, instead the original which maps root relation's attribute
+	 * remoterel's, instead of the original which maps root relation's attribute
 	 * numbers to remoterel's.
 	 *
 	 * Note that 'map' which comes from the tuple routing data structure
-- 
2.17.0

